Documentation Index
Fetch the complete documentation index at: https://docs.tts.monster/llms.txt
Use this file to discover all available pages before exploring further.
Add your API token here. You can find it by reading the /authentication page.
Body
The ID of the voice to use. Use the /voices endpoint to get a list of all available voices.
The message to generate. Limited to the first 500 characters.
Set to true if you would like the current character usage to be returned along with the generated TTS.
Response
The URL to the generated audio file. The file will be deleted after 24 hours.
The status of the TTS generation. Learn more about different status codes here.
The current character count of the user.
curl -X POST https://api.console.tts.monster/generate \
-H "Content-Type: application/json" \
-H "Authorization: ttsm_12345-abcdef" \
-d '{
"voice_id": "9aad4a1b-f04e-43a1-8ff5-4830115a10a8",
"message": "I like eating pie"
}'
{
"status": 200,
"url": "https://storage.tts.monster/tts/12345678981.wav"
}